#!/bin/bash
#
# fruitRxvt.bash
#
# Herman Samso J., 20100619(c)Copyright.
# All Rights Reserved.
# h.samso@google.com
#
# Creates an rxvt terminal window 
# with random font colors.
#
#

fruit=( PapayaWhip PeachPuff MistyRose Azure MintCream Lavender \
        CornSilk Seashell Snow WhiteSmoke Wheat1 LemonChiffon \
        SpringGreen PaleGreen CornflowerBlue LawnGreen \
        DarkOliveGreen1 OliveDrab1 LimeGreen Red Tomato Yellow \
        Gold Orchid Plum Violet Coral Pink LightPink Orange \
        SkyBlue DeepSkyBlue CornflowerBlue SpringGreen Aquamarine \
        Green LightGreen SandyBrown BurlyWood Tan Chocolate );
rainbow=( rgb:ff/00/00 rgb:ff/40/00 rgb:ff/80/00 rgb:ff/c0/00 \
          rgb:ff/ff/00 rgb:c0/ff/00 rgb:80/ff/00 rgb:40/ff/00 \
          rgb:00/ff/00 rgb:00/ff/40 rgb:00/ff/80 rgb:00/ff/c0 \
          rgb:00/ff/ff rgb:00/e0/ff rgb:00/c0/ff rgb:00/a0/ff \
          rgb:00/80/ff rgb:40/60/ff rgb:80/40/ff rgb:c0/20/ff \
          rgb:ff/00/ff rgb:ff/00/c0 rgb:ff/00/80 rgb:ff/00/40 );
rainbowInk=( rgb:90/00/00 rgb:90/30/00 rgb:90/50/00 rgb:90/70/00 \
             rgb:90/90/00 rgb:70/90/00 rgb:50/90/00 rgb:30/90/00 \
             rgb:00/90/00 rgb:00/90/30 rgb:00/90/50 rgb:00/90/70 \
             rgb:00/90/90 rgb:00/90/90 rgb:00/70/90 rgb:00/70/90 \
             rgb:00/50/90 rgb:30/50/90 rgb:50/30/90 rgb:70/20/90 \
             rgb:90/00/90 rgb:90/00/70 rgb:90/00/50 rgb:90/00/30 );
rainbowDark=( rgb:2c/00/00 rgb:2c/08/00 rgb:2c/10/00 rgb:2c/18/00 \
              rgb:2c/2c/00 rgb:18/2c/00 rgb:10/2c/00 rgb:08/2c/00 \
              rgb:00/2c/00 rgb:00/2c/08 rgb:00/2c/10 rgb:00/2c/18 \
              rgb:00/2c/2c rgb:00/18/2c rgb:00/10/2c rgb:00/08/2c \
              rgb:00/00/2c rgb:08/00/2c rgb:10/00/2c rgb:18/00/2c \
              rgb:2c/00/2c rgb:2c/00/18 rgb:2c/00/10 rgb:2c/00/08 );
rainbowDim=( rgb:40/00/00 rgb:40/10/00 rgb:40/20/00 rgb:40/30/00 \
             rgb:40/40/00 rgb:30/40/00 rgb:20/40/00 rgb:10/40/00 \
             rgb:00/40/00 rgb:00/40/10 rgb:00/40/20 rgb:00/40/30 \
             rgb:00/40/40 rgb:00/30/40 rgb:00/20/40 rgb:00/10/40 \
             rgb:00/00/40 rgb:10/00/40 rgb:20/00/40 rgb:30/00/40 \
             rgb:40/00/40 rgb:40/00/30 rgb:40/00/20 rgb:40/00/10 );
rainbowLight=( rgb:ff/c0/c0 rgb:ff/f0/c0 rgb:ff/e0/c0 rgb:ff/d0/c0 \
               rgb:ff/ff/c0 rgb:d0/ff/c0 rgb:e0/ff/c0 rgb:f0/ff/c0 \
               rgb:c0/ff/c0 rgb:c0/ff/f0 rgb:c0/ff/e0 rgb:c0/ff/d0 \
               rgb:c0/ff/ff rgb:c0/d0/ff rgb:c0/e0/ff rgb:c0/f0/ff \
               rgb:c0/c0/ff rgb:f0/c0/ff rgb:e0/c0/ff rgb:d0/c0/ff \
               rgb:ff/c0/ff rgb:ff/c0/d0 rgb:ff/c0/e0 rgb:ff/c0/f0 );

if [[ $1 == "fruit" ]]; then
  colornr=$(( $RANDOM % ${#fruit[*]} ));
  colorFG=${fruit[$colornr]};

  colornr=$(( $RANDOM % ${#rainbowDim[*]} ));
  colorBG=${rainbowDim[$colornr]};

  colorBD=$colorFG;

  colornr=$(( $RANDOM % ${#fruit[*]} ));
  colorCR=$${fruit[$colornr]};

  title=$colorFG;
elif [[ $1 == "mono" ]]; then
  colornr=$(( $RANDOM % ${#rainbow[*]} ));
  colorFG=${rainbow[$colornr]};

  colorBG=${rainbowDim[$colornr]};

  colorBD=$colorFG;

  colorCR=${rainbowLight[$colornr]};

  title="monochrome";
elif [[ $1 == "light" ]]; then
  colornr=$(( $RANDOM % ${#rainbowInk[*]} ));
  colorFG=${rainbowInk[$colornr]};

  colornr=$(( $RANDOM % ${#rainbowLight[*]} ));
  colorBG=${rainbowLight[$colornr]};

  colorBD=$colorFG;

  colornr=$(( $RANDOM % ${#rainbowLight[*]} ));
  colorCR=${rainbowLight[$colornr]};

  title="light";
elif [[ $1 == "random" ]]; then
  hex=( 0 1 2 3 4 5 6 7 8 9 a b c d e f );

  m=$(( $RANDOM % 8 + 8 ));
  n=$(( $RANDOM % 8 + 8 ));
  colorFG=${hex[$m]}${hex[$n]};
  m=$(( $RANDOM % 8 + 8 ));
  n=$(( $RANDOM % 8 + 8 ));
  colorFG="$colorFG/${hex[$m]}${hex[$n]}";
  m=$(( $RANDOM % 8 + 8 ));
  n=$(( $RANDOM % 8 + 8 ));
  colorFG="$colorFG/${hex[$m]}${hex[$n]}";
  colorFG=rgb:$colorFG;

  m=$(( $RANDOM % 4 ));
  n=$(( $RANDOM % 4 ));
  colorBG=${hex[$m]}${hex[$n]};
  m=$(( $RANDOM % 4 ));
  n=$(( $RANDOM % 4 ));
  colorBG="$colorBG/${hex[$m]}${hex[$n]}";
  m=$(( $RANDOM % 4 ));
  n=$(( $RANDOM % 4 ));
  colorBG="$colorBG/${hex[$m]}${hex[$n]}";
  colorBG=rgb:$colorBG;

  m=$(( $RANDOM % 16 ));
  n=$(( $RANDOM % 16 ));
  colorBD=${hex[$m]}${hex[$n]};
  m=$(( $RANDOM % 16 ));
  n=$(( $RANDOM % 16 ));
  colorBD="$colorBD/${hex[$m]}${hex[$n]}";
  m=$(( $RANDOM % 16 ));
  n=$(( $RANDOM % 16 ));
  colorBD="$colorBD/${hex[$m]}${hex[$n]}";
  colorBD=rgb:$colorBD;

  m=$(( $RANDOM % 16 ));
  n=$(( $RANDOM % 16 ));
  colorCR=${hex[$m]}${hex[$n]};
  m=$(( $RANDOM % 16 ));
  n=$(( $RANDOM % 16 ));
  colorCR="$colorCR/${hex[$m]}${hex[$n]}";
  m=$(( $RANDOM % 16 ));
  n=$(( $RANDOM % 16 ));
  colorCR="$colorCR/${hex[$m]}${hex[$n]}";
  colorCR=rgb:$colorCR;

  title="random,FG=$colorFG,BG=$colorBG";
elif [[ $1 == "-h" 
     || $1 == "-help"
     || $1 == "-?"   
     || $1 == "--help" ]]; then
  echo "\
fruitXterm v20090820

Usage:
fruitXterm [mode]

mode:
[fruit|mono|light|random|rainbow]


Herman Samso, 2008-2010(c)Copyright.
All Rights Reserved.
WWW: www.hermansamso.com
eMail: h.samso@gmail.com";

  exit;

else
  colornr=$(( $RANDOM % ${#rainbow[*]} ));
  colorFG=${rainbow[$colornr]};
  colornr=$(( $RANDOM % ${#rainbowDark[*]} ));
  
  colorBG=${rainbowDark[$colornr]};
  colornr=$(( $RANDOM % ${#rainbow[*]} ));

  colorBD=${rainbow[$colornr]};
  colornr=$(( $RANDOM % ${#rainbow[*]} ));

  colorCR=${rainbow[$colornr]};

  title="rainbow,FG=$colorFG,BG=$colorBG";
fi

rxvt -si -sb -sl 2010 -j -ls -fn 7x14 \
  -fg $colorFG -bg $colorBG -bd $colorBD \
  -cr $colorCR -T $title \
  $1 $2 $3 $4 $5 $6 $7 $8 $9 &

