#!/bin/tcsh
#
# fruitXterm.tcsh
#
# Herman Samso J., 20100619(c)Copyright.
# All Rights Reserved.
# h.samso@google.com
#
# Creates an xterm window 
# with random font colors.
#
#


set fruit= ( PapayaWhip PeachPuff MistyRose Azure MintCream Lavender CornSilk Seashell Snow WhiteSmoke Wheat1 LemonChiffon SpringGreen PaleGreen CornflowerBlue LawnGreen DarkOliveGreen1 OliveDrab1 LimeGreen Red Tomato Yellow Gold Orchid Plum Violet Coral Pink LightPink Orange SkyBlue DeepSkyBlue CornflowerBlue SpringGreen Aquamarine Green LightGreen SandyBrown BurlyWood Tan Chocolate );
set rainbow= ( rgb:ff/00/00 rgb:ff/40/00 rgb:ff/80/00 rgb:ff/c0/00 rgb:ff/ff/00 rgb:c0/ff/00 rgb:80/ff/00 rgb:40/ff/00 rgb:00/ff/00 rgb:00/ff/40 rgb:00/ff/80 rgb:00/ff/c0 rgb:00/ff/ff rgb:00/e0/ff rgb:00/c0/ff rgb:00/a0/ff rgb:00/80/ff rgb:40/60/ff rgb:80/40/ff rgb:c0/20/ff rgb:ff/00/ff rgb:ff/00/c0 rgb:ff/00/80 rgb:ff/00/40 );
set rainbowInk= ( rgb:90/00/00 rgb:90/30/00 rgb:90/50/00 rgb:90/70/00 rgb:90/90/00 rgb:70/90/00 rgb:50/90/00 rgb:30/90/00 rgb:00/90/00 rgb:00/90/30 rgb:00/90/50 rgb:00/90/70 rgb:00/90/90 rgb:00/90/90 rgb:00/70/90 rgb:00/70/90 rgb:00/50/90 rgb:30/50/90 rgb:50/30/90 rgb:70/20/90 rgb:90/00/90 rgb:90/00/70 rgb:90/00/50 rgb:90/00/30 );
set rainbowDark= ( rgb:2c/00/00 rgb:2c/08/00 rgb:2c/10/00 rgb:2c/18/00 rgb:2c/2c/00 rgb:18/2c/00 rgb:10/2c/00 rgb:08/2c/00 rgb:00/2c/00 rgb:00/2c/08 rgb:00/2c/10 rgb:00/2c/18 rgb:00/2c/2c rgb:00/18/2c rgb:00/10/2c rgb:00/08/2c rgb:00/00/2c rgb:08/00/2c rgb:10/00/2c rgb:18/00/2c rgb:2c/00/2c rgb:2c/00/18 rgb:2c/00/10 rgb:2c/00/08 );
set rainbowDim= ( rgb:40/00/00 rgb:40/10/00 rgb:40/20/00 rgb:40/30/00 rgb:40/40/00 rgb:30/40/00 rgb:20/40/00 rgb:10/40/00 rgb:00/40/00 rgb:00/40/10 rgb:00/40/20 rgb:00/40/30 rgb:00/40/40 rgb:00/30/40 rgb:00/20/40 rgb:00/10/40 rgb:00/00/40 rgb:10/00/40 rgb:20/00/40 rgb:30/00/40 rgb:40/00/40 rgb:40/00/30 rgb:40/00/20 rgb:40/00/10 );
set rainbowLight= ( rgb:ff/c0/c0 rgb:ff/f0/c0 rgb:ff/e0/c0 rgb:ff/d0/c0 rgb:ff/ff/c0 rgb:d0/ff/c0 rgb:e0/ff/c0 rgb:f0/ff/c0 rgb:c0/ff/c0 rgb:c0/ff/f0 rgb:c0/ff/e0 rgb:c0/ff/d0 rgb:c0/ff/ff rgb:c0/d0/ff rgb:c0/e0/ff rgb:c0/f0/ff rgb:c0/c0/ff rgb:f0/c0/ff rgb:e0/c0/ff rgb:d0/c0/ff rgb:ff/c0/ff rgb:ff/c0/d0 rgb:ff/c0/e0 rgb:ff/c0/f0 );

if ( $1 == "fruit" ) then
  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#fruit}
  set colorFG=${fruit[$colornr]};

  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbowDim}
  set colorBG=${rainbowDim[$colornr]};

  set colorBD=$colorFG;

  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#fruit}
  set colorCR=${fruit[$colornr]};

  set title=$colorFG;

else if ( $1 == "mono" ) then
  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbow}
  set colorFG=${rainbow[$colornr]};

  set colorBG=${rainbowDim[$colornr]};

  set colorBD=$colorFG;

  set colorCR=${rainbowLight[$colornr]};
      
  set title="mono";

else if ( $1 == "light" ) then
  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbowInk}
  set colorFG=${rainbowInk[$colornr]};

  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbowLight}
  set colorBG=${rainbowLight[$colornr]};

  set colorBD=$colorFG;

  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbowLight}
  set colorCR=${rainbowLight[$colornr]};

  set title="light";

#else if ( $1 == "random" ) then
# To Do
#  set title="FG=$colorFG,BG=$colorBG";

else if ( $1 == "-h" ) then
  cat usage;
  exit;
else if ( $1 == "-help" ) then
  cat usage;
  exit;
else if ( $1 == "--help" ) then
  cat usage;
  exit;
else
  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbow}
  set colorFG=${rainbow[$colornr]};

  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbowDark}
  set colorBG=${rainbowDark[$colornr]};

  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbow}
  set colorBD=${rainbow[$colornr]};

  @ RAND=`date +%N` % 255
  @ colornr=$RAND % ${#rainbow}
  set colorCR=${rainbow[$colornr]};

  set title="rainbow";

endif


xterm -si -sb -sl 2008 -j -ls -fn 7x14 \
 -fg $colorFG -bg $colorBG -bd $colorBD \
 -cr $colorCR -T $title \
 $1 $2 $3 $4 $5 $6 $7 $8 $9 &

